using MWS.Model;
using MWS.Model.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Data.InterFace
{
    public interface IManualCalibration : IDapperHelper
    {
        List<ManualCalibrationDto> GetAll();
        Task<List<T_ManualCalibration>> GetModels(string keyword, string sortingProperty = "Id", bool ascending = false);
        List<T_ManualCalibration> GetPagingModels(string keyword, out int totalCount, int pageIndex = 1, int pageSize = 20, string sortingProperty = "Id", bool ascending = false);
        int UpdateAutoAD(int tagId, int AD);
        int Insert(T_ManualCalibration t_ManualCalibration);

        int Update(T_ManualCalibration t_ManualCalibration);

        T_ManualCalibration GetOneByTagId(int tagId);

    }
}
